> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Artifact

> Get a single artifact by name, including its data.

Args:
    experiment_id (str): ID of the parent experiment.
    artifact_name (str): The metric/artifact key within the experiment.
    user (User): User authenticated with api key.
    db (Session): Database session.

Returns:
    ArtifactModel: The artifact with ``artifact_data`` populated.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json get /experiments/{experiment_id}/artifacts/{artifact_name}
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.3.0
servers: []
security: []
paths:
  /experiments/{experiment_id}/artifacts/{artifact_name}:
    get:
      summary: Get Artifact
      description: |-
        Get a single artifact by name, including its data.

        Args:
            experiment_id (str): ID of the parent experiment.
            artifact_name (str): The metric/artifact key within the experiment.
            user (User): User authenticated with api key.
            db (Session): Database session.

        Returns:
            ArtifactModel: The artifact with ``artifact_data`` populated.
      operationId: get_artifact_experiments__experiment_id__artifacts__artifact_name__get
      parameters:
        - name: experiment_id
          in: path
          required: true
          schema:
            type: string
            title: Experiment Id
        - name: artifact_name
          in: path
          required: true
          schema:
            type: string
            title: Artifact Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtifactModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    ArtifactModel:
      properties:
        name:
          type: string
          title: Name
        artifact_type:
          type: string
          title: Artifact Type
        artifact_data:
          anyOf:
            - {}
            - type: 'null'
          title: Artifact Data
        creation_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Creation Date
        last_updated:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated
      type: object
      required:
        - name
        - artifact_type
      title: ArtifactModel
      description: Artifact model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````